addParticipant
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/meetings/lifecycle/addParticipant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"meetingId": "meeting_123example",
"userId": "user_456example",
"role": "participant"
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/meetings/lifecycle/addParticipant"
payload = { "args": {
"meetingId": "meeting_123example",
"userId": "user_456example",
"role": "participant"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
args: {
meetingId: 'meeting_123example',
userId: 'user_456example',
role: 'participant'
}
})
};
fetch('https://connvo-dev.convex.cloud/api/run/meetings/lifecycle/addParticipant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"errorMessage": "",
"errorData": {},
"value": {
"participantId": "participant_789example",
"success": true
}
}{}{}Meetings
addParticipant
Only the meeting host can add participants. Validates that the user exists and is not already a participant. Cannot add participants to concluded or cancelled meetings. Updates the meeting’s participant count automatically.
POST
/
api
/
run
/
meetings
/
lifecycle
/
addParticipant
addParticipant
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I